export interface IStatefulIterator<T> {
    next(): void;
    getValue(): T;
    isCompleted(): boolean;
    isLast(): boolean;
}
export declare class StatefulIterator<T> implements IStatefulIterator<T> {
    private readonly length;
    private index;
    private iterator;
    private current;
    constructor(array: T[]);
    next(): void;
    getValue(): T;
    isCompleted(): boolean;
    isLast(): boolean;
}
